#version 430 core

uniform sampler2D textureWithAlpha;
uniform float brightness;

in vec2 uvs;
flat in float timeToLive;
flat in float maxTimeToLive;

layout(location = 0) out vec4 color;

void main ()
{
  vec4 tex = texture(textureWithAlpha, uvs.xy).rgba;
  tex.a = tex.a * (-pow(2, pow(1.0 - (timeToLive/maxTimeToLive), 4)) + 2);
  color = tex;
  color.rgb += brightness;
}
