#version 430

layout (location = 0) in vec3 position;

uniform mat4 modelMatrix;
uniform mat4 viewProjectionMat;

void main()
{
    gl_Position = viewProjectionMat * modelMatrix * vec4(position, 1.0);
}  