#version 430

layout(location = 0) in vec3 position;

out vec3 texCoords;

uniform mat4 viewProjectionMat;

void main() 
{
	texCoords = position;
	vec4 pos = viewProjectionMat * vec4(position, 1.0);
	gl_Position = pos;
}