#version 430 core

layout (location = 0) in vec4 position;

uniform mat4 modelObjMat;
uniform mat4 viewMat;
uniform mat4 projectionMat;

out VertexData {
    float timeToLive;
    float maxTimeToLive;
} vert;

void main() {
    gl_Position = modelObjMat * vec4(position.xyz, 1.0f);
    vert.timeToLive = position.w;
    vert.maxTimeToLive = 3.0;
}
